/* AlgViz.java

   Abstract class definition for algorithm visualization animators.
   (c) 2013 Vijay Ramachandran
   2014 Modified by Elodie Fourquet
   
   No need to modify this file.
*/

import javax.swing.*;
import javax.swing.event.*;

import java.awt.*;
import java.awt.event.*;

public abstract class AlgViz implements Runnable {
  
    abstract public void run();
    
    abstract public void vizPaint(Graphics g, int w, int h);
    
    abstract public void vizTimer(int w, int h);
    
}
